Bug 889166 - [abrt] shotwell-0.12.3-1.fc17: gee_array_list_real_get: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
Summary: [abrt] shotwell-0.12.3-1.fc17: gee_array_list_real_get: Process /usr/bin/shot...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:97009f94c8e03e5d8c45f22837d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-20 11:57 UTC by Rooven
Modified: 2013-08-01 04:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 04:36:36 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (10.15 KB, text/plain)
2012-12-20 11:57 UTC, Rooven
no flags Details
File: environ (1.40 KB, text/plain)
2012-12-20 11:57 UTC, Rooven
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: backtrace (80.02 KB, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: smolt_data (3.31 KB, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: executable (17 bytes, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: maps (63.29 KB, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: dso_list (13.53 KB, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: var_log_messages (156 bytes, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details
File: open_fds (923 bytes, text/plain)
2012-12-20 11:58 UTC, Rooven
no flags Details

Description Rooven 2012-12-20 11:57:51 UTC
Version-Release number of selected component:
shotwell-0.12.3-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        shotwell
crash_function: gee_array_list_real_get
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #4 gee_array_list_real_get at arraylist.c:515
: #5 preferences_dialog_on_dir_pattern_combo_changed at /usr/src/debug/shotwell-0.12.3/src/Dialogs.vala:2146
: #6 preferences_dialog_setup_dir_pattern at /usr/src/debug/shotwell-0.12.3/src/Dialogs.vala:2069
: #7 preferences_dialog_populate_preference_options at /usr/src/debug/shotwell-0.12.3/src/Dialogs.vala:1968
: #8 preferences_dialog_show at /usr/src/debug/shotwell-0.12.3/src/Dialogs.vala:2076
: #13 _gtk_action_emit_activate at gtkaction.c:800
: #18 gtk_widget_activate at gtkwidget.c:6411
: #19 gtk_menu_shell_activate_item at gtkmenushell.c:1429
: #20 gtk_menu_shell_button_release at gtkmenushell.c:830
: #21 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130

Comment 1 Rooven 2012-12-20 11:57:57 UTC
Created attachment 666615 [details]
File: core_backtrace

Comment 2 Rooven 2012-12-20 11:57:59 UTC
Created attachment 666616 [details]
File: environ

Comment 3 Rooven 2012-12-20 11:58:01 UTC
Created attachment 666617 [details]
File: limits

Comment 4 Rooven 2012-12-20 11:58:04 UTC
Created attachment 666618 [details]
File: backtrace

Comment 5 Rooven 2012-12-20 11:58:06 UTC
Created attachment 666619 [details]
File: smolt_data

Comment 6 Rooven 2012-12-20 11:58:08 UTC
Created attachment 666620 [details]
File: cgroup

Comment 7 Rooven 2012-12-20 11:58:10 UTC
Created attachment 666621 [details]
File: executable

Comment 8 Rooven 2012-12-20 11:58:12 UTC
Created attachment 666622 [details]
File: maps

Comment 9 Rooven 2012-12-20 11:58:15 UTC
Created attachment 666623 [details]
File: dso_list

Comment 10 Rooven 2012-12-20 11:58:17 UTC
Created attachment 666624 [details]
File: proc_pid_status

Comment 11 Rooven 2012-12-20 11:58:19 UTC
Created attachment 666625 [details]
File: var_log_messages

Comment 12 Rooven 2012-12-20 11:58:21 UTC
Created attachment 666626 [details]
File: open_fds

Comment 13 Fedora End Of Life 2013-07-04 00:40:21 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2013-08-01 04:36:41 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.